package cn.com.poc.support.security.oauth.entity;


import cn.com.yict.framemax.data.model.UserBaseModel;

public class UserBaseEntity implements UserBaseModel {

    public String type;

    public Long userId;

    public String userName;

    public String userAccount;

    public String centralAccount;

    public String password;

    public String userBuId;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String getUserAccount() {
        return userAccount;
    }

    public void setUserAccount(String userAccount) {
        this.userAccount = userAccount;
    }

    @Override
    public String getCentralAccount() {
        return centralAccount;
    }

    public void setCentralAccount(String centralAccount) {
        this.centralAccount = centralAccount;
    }

    @Override
    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String getUserBuId() {
        return userBuId;
    }

}
